require 'autocomplete-activeadmin/form_helper'
require 'autocomplete-activeadmin/autocomplete'

module AutocompleteActiveAdmin
  autoload :Orm              , 'autocomplete-activeadmin/orm'
  autoload :FormtasticPlugin , 'autocomplete-activeadmin/formtastic_plugin'

  unless ::Rails.version < "3.1"
    require 'autocomplete-activeadmin/rails/engine'
  end
end

class ActionController::Base
  include AutocompleteActiveAdmin::Autocomplete
end

require 'autocomplete-activeadmin/formtastic'

begin
  require 'simple_form'
  require 'autocomplete-activeadmin/simple_form_plugin'
rescue LoadError
end
